#lang at-exp racket
(require infix plot)

(parameterize
    ([plot-width 150]
     [plot-height 150]
     [plot-tick-size 0]
     [plot-font-size 0]
     [plot-x-label  #f]
     [plot-y-label  #f])
     
  (list (plot (polar (lambda ($\theta$) 1) 0 (* 2 pi))
              #:x-min -1 #:x-max 1
              #:y-min -1 #:y-max 1)
        (plot (polar (lambda ($\theta$) $\theta$) 0 (* 2.5 pi))
              #:x-min -8 #:x-max 8
              #:y-min -8 #:y-max 8)
        ))